### Method

# Gtk BuilderCScope add_callback_symbol

#### Declaration [src]

    void
    gtk_builder_cscope_add_callback_symbol (
      GtkBuilderCScope* self,
      const char* callback_name,
      GCallback callback_symbol
    )

#### Description [src]

Adds the `callback_symbol` to the scope of `builder` under the given `callback_name`.

Using this function overrides the behavior of gtk_builder_create_closure() for any callback symbols that are added. Using this method allows for better encapsulation as it does not require that callback symbols be declared in the global namespace.

#### Parameters

`callback_name` | `const char*`
| The name of the callback, as expected in the XML.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`callback_symbol` | `GCallback`
| The callback pointer.